%global githash g0d9d058
%global foldhash 5e52ede

Name:           jdependency
Version:        0.7
Release:        %mkrel 2
Summary:        This project provides an API to analyse class dependencies

Group:          Development/Java
License:        ASL 2.0
URL:            http://github.com/tcurdt/jdependency
# wget http://github.com/tcurdt/jdependency/tarball/jdependency-0.7
Source0:        tcurdt-jdependency-jdependency-%{version}-0-%{githash}.tar.gz

BuildArch: noarch

BuildRequires:     maven
BuildRequires:     maven-compiler-plugin
BuildRequires:     maven-install-plugin
BuildRequires:     maven-jar-plugin
BuildRequires:     maven-javadoc-plugin
BuildRequires:     maven-resources-plugin
BuildRequires:     maven-surefire-plugin
BuildRequires:     maven-idea-plugin

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  objectweb-asm
BuildRequires:  apache-commons-io
BuildRequires:  liblog4j-java
Requires:  objectweb-asm >= 3.2
Requires:  apache-commons-io
Requires:  java


%description
jdependency is small library that helps you analyze class level
dependencies, clashes and missing classes.

%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}
Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n tcurdt-jdependency-%{foldhash}

%build
mvn-rpmbuild -Dmaven.test.failure.ignore=true \
    install javadoc:javadoc

%install
# Jar
mkdir -p %{buildroot}%{_javadir}
install -Dpm 644  target/%{name}-%{version}.jar  \
    %{buildroot}%{_javadir}/%{name}.jar


# Javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf target/site/api*


# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jdependency.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
rm -rf %{buildroot}

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README.md

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 355291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 0.7-1.mga3
+ Revision: 324884
- New version

* Thu Apr 28 2011 dmorgan <dmorgan> 0.6-5.mga1
+ Revision: 92537
- Rebuild after bootstrapping
- imported package jdependency

